## ffcpara 4.0-1

=== Makefile ===
# Makefile for Fujitsu Fortran ver.3 postinstall procedure
#
# 2002/05/04 S.Takehiro
#
#  This makefile links executables, library files, and manuals 
#  to the oridinal desitination of the Debian/GNU Linux system. 
# 
#  Procedure
#    1. Install the intel-ifc rpm file by converting deb with alien.
#    2. Check src directories and install destinaton below.
#    3. Execute "make check" to avoid overwriting existing files.
#    4. Execute "make install"
#    5. Execute "make install-doc" if you want to make Debian document directory
#
#  Src directories
#
SRCDIR=/usr/FFC
BINSRC=$(SRCDIR)/bin
LIBSRC=$(SRCDIR)/lib
MANSRC=$(SRCDIR)/man
DOCSRC=$(SRCDIR)/manual

MANSUBDIRS=man1 man3 ja/man1 ja/man3
#
#  Install Destination
#
#DESTDIR=./debian/tmp
DESTDIR=
#
DESTBIN=$(DESTDIR)/usr/bin
DESTLIB=$(DESTDIR)/usr/lib
DESTMAN=$(DESTDIR)/usr/share/man
DESTDOC=$(DESTDIR)/usr/share/doc/ffcpara
#
#  Do not change below
#
check::	check-bin check-lib check-man check-doc

check-bin:
	@echo "Checking binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		if [ -e $(DESTBIN)/$$i ] ; then \
		    echo "$(DESTBIN)/$$i already exists" ;\
		fi ;\
	    fi ;\
	done

check-lib:
	@echo "Checking library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		if [ -e $(DESTLIB)/$$i ]; then \
		    echo "$(DESTLIB)/$${i} already exists" ; \
		fi ;\
	    fi ;\
	done

check-man:
	@echo "Checking man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		if [ -e $(DESTMAN)/$$j/$$i ]; then \
		    echo "$(DESTMAN)/$$j/$$i already exists"; \
		fi ;\
	     done; \
	done

check-doc:
	@echo "Checking doc files"
	@if [ -e $(DESTDOC) ]; then \
		echo $(DESTDOC) already exists ;\
	fi


install:: install-bin install-lib install-man #install-doc 

install-bin:
	@echo "Linking binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		ln -s $(BINSRC)/$$i $(DESTBIN)/$${i}; \
	    fi ;\
	done

install-lib:
	@echo "Linking library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		ln -s $(LIBSRC)/$$i $(DESTLIB)/$${i}; \
	    fi ;\
	done

install-man:
	@echo "Linking man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		ln -s $(MANSRC)/$$j/$$i $(DESTMAN)/$$j/$$i ; \
	     done; \
	done

install-doc:
	@echo "Linking doc files"
	if [ ! -d $(DESTDOC) ]; then \
		mkdir $(DESTDOC) ;\
	fi
	@for i in `ls $(DOCSRC)` ; do \
		ln -s $(DOCSRC)/$$i $(DESTDOC)/$$i ; \
	done

uninstall:: uninstall-bin uninstall-lib uninstall-man # uninstall-doc 

uninstall-bin:
	@echo "Uninstall binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		$(RM) $(DESTBIN)/$${i}; \
	    fi ;\
	done

uninstall-lib:
	@echo "Uninstall library files"
	@for i in `ls $(LIBSRC)` ; do \
	    if [ -x $(LIBSRC)/$$i ]; then \
		$(RM) $(DESTLIB)/$${i}; \
	    fi ;\
	done

uninstall-man:
	@echo "Uninstall man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		$(RM) $(DESTMAN)/$$j/$$i ; \
	     done; \
	done

uninstall-doc:
	@echo "Uninstall doc files"
	@for i in `ls $(DOCSRC)` ; do \
		$(RM) $(DESTDOC)/$$i ; \
	done
	rmdir $(DESTDOC)

clean:
	-$(RM) *~

=== debian/changelog ===
ffcpara (4.0-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue,  6 Jan 2004 18:28:12 +0900

ffcpara (3.0-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 01:44:47 +0900

Local variables:
mode: debian-changelog
End:

## ffcpara 5.0-1

=== debian/changelog ===
ffcpara (5.0-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Fri,  8 Apr 2005 16:16:37 +0900

=== debian/control ===
Source: ffcpara
Section: devel
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Standards-Version: 3.2.1

Package: ffcpara
Architecture: any
Depends: ${shlibs:Depends}
Description: Fujitsu Parallel Fortran&C Compiler (installer)
 Installer for Fujitsu Parallel Fortran&C Compiler. This package 
 produces symbolic links of original files to a normal debian directories, 
 such as /usr/bin, /usr/lib, /usr/share/man and /usr/share/doc. 
 You should install FFC package to a normal directory (/usr/FFC)
 before installing this packages.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

#package=ffc
package=ffcpara

build:
	cp debian/control.$(package) debian/control
	cp debian/dirs.$(package) debian/dirs
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	$(MAKE) install-doc DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## ffcpara 5.0-3

=== debian/changelog ===
ffcpara (5.0-3) unstable; urgency=low

  * add postinst, postrm
    * if man-db is installed, update man-db

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Sun, 21 Oct 2007 07:18:26 +0900

ffcpara (5.0-2) unstable; urgency=low

  *  New release for etch

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Tue, 16 Oct 2007 22:05:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ffcpara
 Section: devel
 Priority: optional
-Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
-Standards-Version: 3.2.1
+Build-Depends: debhelper(>=5.0), cdbs
+Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
+Standards-Version: 3.7.2
 
 Package: ffcpara
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

EXT=ffcpara

DESTDIR=${DEB_DESTDIR}
DESTBIN=$(DESTDIR)usr/bin
DESTLIB=$(DESTDIR)usr/lib
DESTMAN=$(DESTDIR)usr/share/man
DESTDOC=$(DESTDIR)usr/share/doc/${EXT}
MANSUBDIRS=man1 man3 ja/man1 ja/man3

pre-build::
	mkdir -p ${DESTBIN}
	mkdir -p ${DESTLIB}
	mkdir -p ${DESTMAN}
	@for i in ${MANSUBDIRS} ; do \
	  mkdir -p ${DESTMAN}/$${i} ; \
	done	   
	mkdir -p ${DESTDOC}

install/${EXT}::
	${MAKE} install DESTDIR=${DEB_DESTDIR}
	${MAKE} install-doc DESTDIR=${DEB_DESTDIR}

## ffcpara 5.0-4

=== debian/changelog ===
ffcpara (5.0-4) unstable; urgency=low

  * Remove some files in /usr/share/man, these are not exist. 

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Wed, 24 Oct 2007 15:39:32 +0900

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 DESTMAN=$(DESTDIR)usr/share/man
 DESTDOC=$(DESTDIR)usr/share/doc/${EXT}
 MANSUBDIRS=man1 man3 ja/man1 ja/man3
+MAN_EXCLUDE=dvbcsd.3f dvbcse.3f dvccvf.3f dvhevp.3f dvldiv.3f dvlspx.3f dvmbv.3f dvmcf2.3f dvmcst.3f dvmrf2.3f dvmsnt.3f dvrcvf.3f dvsevp.3f dvspll.3f dvsplx.3f
 
 pre-build::
 	mkdir -p ${DESTBIN}
@@ -23,3 +24,9 @@
 install/${EXT}::
 	${MAKE} install DESTDIR=${DEB_DESTDIR}
 	${MAKE} install-doc DESTDIR=${DEB_DESTDIR}
+	@for i in ${MANSUBDIRS} ; do \
+	  for j in ${MAN_EXCLUDE} ; do \
+	    rm -f ${DESTMAN}/$${i}/$${j} ; \
+          done ; \
+	done	   
+
